# Get VBA by ID GET https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/{virtualBankId} Fetch a Virtual Bank Account (VBA) by virtual bank ID. Reference: https://docs.transak.com/api/stream-on-ramp/get-virtual-bank-account-by-id ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: stream-on-ramp-api version: 1.0.0 paths: /api/v2/onramp-stream/vba/{virtualBankId}: get: operationId: get-virtual-bank-account-by-id summary: Get VBA by ID description: Fetch a Virtual Bank Account (VBA) by virtual bank ID. tags: - '' parameters: - name: virtualBankId in: path description: Generated Virtual Bank Identifier required: true schema: type: string - name: x-api-key in: header description: >- Your Api Key, which you can get from the Transak Partner Dashboard for the respective environment required: true schema: type: string default: YOUR_API_KEY - name: authorization in: header description: >- The authorization token is the accessToken returned by the [WhiteLabel API - api/v2/auth/verify](/api/whitelabel/user/verify-user-otp) Note: This applies only when you are not using the [Auth Reliance Flows](/features/auth-reliance) required: true schema: type: string default: YOUR_USER_AUTH_TOKEN - name: x-user-identifier in: header description: >- Your authenticated user Email Id address. Note: This is applicable only for [Auth Reliance Flows](/features/auth-reliance) required: false schema: type: string default: USER_EMAIL_ID - name: x-access-token in: header description: >- Your Partner Access Token. Please refer [here](/guides/how-to-create-partner-access-token) for a tutorial on generating your access token. Note: This is applicable only for [Auth Reliance Flows](/features/auth-reliance) required: false schema: type: string default: YOUR_ACCESS_TOKEN responses: '200': description: '' content: application/json: schema: $ref: >- #/components/schemas/get_virtual_bank_account_by_id_Response_200 '400': description: Bed Request content: application/json: schema: $ref: >- #/components/schemas/Get_virtual_bank_account_by_idRequestBadRequestError '500': description: Internal Server Error content: application/json: schema: $ref: >- #/components/schemas/Get_virtual_bank_account_by_idRequestInternalServerError servers: - url: https://api-gateway-stg.transak.com components: schemas: ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaData: type: object properties: id: type: string description: Generated Virtual Bank Identifier userId: type: string description: Transak user identifier partnerApiKey: type: string description: Partner API key identifier partnerCustomerId: type: string description: Partner customer identifier status: type: string description: Current VBA status source: type: object additionalProperties: description: Any type description: Source bank details mapped to this VBA destination: type: object additionalProperties: description: Any type description: Destination crypto transfer details title: >- ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaData get_virtual_bank_account_by_id_Response_200: type: object properties: data: $ref: >- #/components/schemas/ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaData title: get_virtual_bank_account_by_id_Response_200 ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaError: type: object properties: statusCode: type: integer name: type: string message: type: string required: - statusCode - name - message title: >- ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaError Get_virtual_bank_account_by_idRequestBadRequestError: type: object properties: error: $ref: >- #/components/schemas/ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaError required: - error title: Get_virtual_bank_account_by_idRequestBadRequestError Get_virtual_bank_account_by_idRequestInternalServerError: type: object properties: error: $ref: >- #/components/schemas/ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaError required: - error title: Get_virtual_bank_account_by_idRequestInternalServerError ``` ## SDK Code Examples ```python USD-Success import requests url = "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId" headers = { "x-api-key": "YOUR_API_KEY", "authorization": "YOUR_USER_AUTH_TOKEN" } response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript USD-Success const url = 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId'; const options = { method: 'GET', headers: {'x-api-key': 'YOUR_API_KEY', authorization: 'YOUR_USER_AUTH_TOKEN'} }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go USD-Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-api-key", "YOUR_API_KEY") req.Header.Add("authorization", "YOUR_USER_AUTH_TOKEN") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby USD-Success require 'uri' require 'net/http' url = URI("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-api-key"] = 'YOUR_API_KEY' request["authorization"] = 'YOUR_USER_AUTH_TOKEN' response = http.request(request) puts response.read_body ``` ```java USD-Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId") .header("x-api-key", "YOUR_API_KEY") .header("authorization", "YOUR_USER_AUTH_TOKEN") .asString(); ``` ```php USD-Success request('GET', 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId', [ 'headers' => [ 'authorization' => 'YOUR_USER_AUTH_TOKEN', 'x-api-key' => 'YOUR_API_KEY', ], ]); echo $response->getBody(); ``` ```csharp USD-Success using RestSharp; var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId"); var request = new RestRequest(Method.GET); request.AddHeader("x-api-key", "YOUR_API_KEY"); request.AddHeader("authorization", "YOUR_USER_AUTH_TOKEN"); IRestResponse response = client.Execute(request); ``` ```swift USD-Success import Foundation let headers = [ "x-api-key": "YOUR_API_KEY", "authorization": "YOUR_USER_AUTH_TOKEN" ] let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ```python INR-Success import requests url = "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId" headers = { "x-api-key": "YOUR_API_KEY", "authorization": "YOUR_USER_AUTH_TOKEN" } response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript INR-Success const url = 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId'; const options = { method: 'GET', headers: {'x-api-key': 'YOUR_API_KEY', authorization: 'YOUR_USER_AUTH_TOKEN'} }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go INR-Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-api-key", "YOUR_API_KEY") req.Header.Add("authorization", "YOUR_USER_AUTH_TOKEN") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby INR-Success require 'uri' require 'net/http' url = URI("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-api-key"] = 'YOUR_API_KEY' request["authorization"] = 'YOUR_USER_AUTH_TOKEN' response = http.request(request) puts response.read_body ``` ```java INR-Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId") .header("x-api-key", "YOUR_API_KEY") .header("authorization", "YOUR_USER_AUTH_TOKEN") .asString(); ``` ```php INR-Success request('GET', 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId', [ 'headers' => [ 'authorization' => 'YOUR_USER_AUTH_TOKEN', 'x-api-key' => 'YOUR_API_KEY', ], ]); echo $response->getBody(); ``` ```csharp INR-Success using RestSharp; var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId"); var request = new RestRequest(Method.GET); request.AddHeader("x-api-key", "YOUR_API_KEY"); request.AddHeader("authorization", "YOUR_USER_AUTH_TOKEN"); IRestResponse response = client.Execute(request); ``` ```swift INR-Success import Foundation let headers = [ "x-api-key": "YOUR_API_KEY", "authorization": "YOUR_USER_AUTH_TOKEN" ] let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```